Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.overlay
Class MinimalEdgeRing

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeRing
          com.vividsolutions.jts.operation.overlay.MinimalEdgeRing

public class MinimalEdgeRing
extends EdgeRing

A ring of `Edge`s with the property that no node has degree greater than 2. These are the form of rings required to represent polygons under the OGC SFS spatial data model.

Version:
  1.7
See Also:
  `MaximalEdgeRing`

Field Summary

Fields inherited from class com.vividsolutions.jts.geomgraph.EdgeRing
`cga, geometryFactory, startDe`

Constructor Summary
`MinimalEdgeRing(DirectedEdge start, GeometryFactory geometryFactory, CGAlgorithms cga)`

Method Summary
`DirectedEdge` | `getNext(DirectedEdge de)`
`void` | `setEdgeRing(DirectedEdge de, EdgeRing er)`

Methods inherited from class com.vividsolutions.jts.geomgraph.EdgeRing
`addHole, addPoints, computePoints, computeRing, containsPoint, getCoordinate, getEdges, getLabel, getLinearRing, getMaxNodeDegree, getShell, isHole, isIsolated, isShell, mergeLabel, mergeLabel, setInResult, setShell, toPolygon`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimalEdgeRing

    public MinimalEdgeRing(DirectedEdge start,
                           GeometryFactory geometryFactory,
                           CGAlgorithms cga)

Method Detail

### getNext

    public DirectedEdge getNext(DirectedEdge de)

  Specified by:
    `getNext` in class `EdgeRing`

### setEdgeRing

    public void setEdgeRing(DirectedEdge de,
                            EdgeRing er)

  Specified by:
    `setEdgeRing` in class `EdgeRing`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD